Summary:       Detect and take action when an ethernet cable is unplugged
Name:          ifplugd
Version:       0.28
Release:       5%{?dist}

License:       GPL
Group:         System Environment/Daemons
URL:           http://0pointer.de/lennart/projects/ifplugd
Source0:       http://0pointer.de/lennart/projects/ifplugd/%{name}-%{version}.tar.gz
Patch0:        interface_c.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      libdaemon
BuildRequires: libdaemon-devel, pkgconfig

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

%prep
%setup -q
%patch -p1

%build
%configure --prefix=/ --disable-lynx --disable-xmltoman --disable-subversion
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
install -p -D -m755 src/ifplugd $RPM_BUILD_ROOT/%{_sbindir}/ifplugd
install -p -D -m755 src/ifplugstatus $RPM_BUILD_ROOT/%{_sbindir}/ifplugstatus
install -p -D conf/ifplugd.init $RPM_BUILD_ROOT/%{_initrddir}/ifplugd
install -p -D -m755 conf/ifplugd.conf $RPM_BUILD_ROOT/%{_sysconfdir}/ifplugd/ifplugd.conf
install -p -D -m755 conf/ifplugd.action $RPM_BUILD_ROOT/%{_sysconfdir}/ifplugd/ifplugd.action
install -p -D man/ifplugd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5/ifplugd.conf.5
install -p -D man/ifplugd.8 $RPM_BUILD_ROOT/%{_mandir}/man8/ifplugd.8
install -p -D man/ifplugstatus.8 $RPM_BUILD_ROOT/%{_mandir}/man8/ifplugstatus.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%config %{_initrddir}/ifplugd
%config(noreplace) %{_sysconfdir}/ifplugd
%{_sbindir}/ifplugd
%{_sbindir}/ifplugstatus
%{_mandir}/man5/ifplugd.conf.5*
%{_mandir}/man8/ifplugd.8*
%{_mandir}/man8/ifplugstatus.8*
%doc README LICENSE

%post
/sbin/chkconfig --add ifplugd

%preun
/sbin/chkconfig --del ifplugd

%changelog
* Thu Sep 28 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-5
- Add dist tag to release.

* Thu Sep 28 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-4
- Place deamon in _initrddir (/etc/rc.d/init.d)

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-3
- Add patch to cvs ( --follow-the-mind would be nice).

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-2
- Apply patch to src/interface.c

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-1
- New upstream version

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.24-8
- BuildRequires libdaemon-devel to get libdaemon.pc file

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.24-7
- Rebuild for FC-6.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jun 4 2004 Aaron Bennett <aaron.bennett@olin.edu> - 0:0.24-0.fdr.5
- Capitalized summary tag
- Added /etc/ifplugd directory

* Thu Jun  3 2004 Aaron Bennett <aaron.bennett@olin.edu> - 0:0.24-0.fdr.4
- renamed confpatches.patch to ifplugd-0.24-confpatches.patch
- used %config for /etc/init.d/ifplugd
- added %config(noreplace) for /etc/ifplugd/*
- removed patch

* Wed Jun  2 2004 Aaron Bennett <aaron.bennett@olin.edu> - 0:0.24-0.fdr.3
- Fixed summary
- added -p option to install
- added buildrequires

* Tue May 3 2004 Aaron Bennett <aaron.bennett@olin.edu>
- Changed Source0 to URL for source
- signed package

* Mon May 3 2004 Aaron Bennett <aaron.bennett@olin.edu>
- Revamped for Fedora.us packaging guidelines

* Wed Mar 31 2004 Aaron Bennett <abennett@olin.edu>
- Initial build.


